Package org.w3c.tidy

# Class Dict

java.lang.Object
org.w3c.tidy.Dict

public class Dict extends Object
Tag dictionary node. If the document uses just HTML 2.0 tags and attributes described it as HTML 2.0 Similarly for HTML 3.2 and the 3 flavors of HTML 4.0. If there are proprietary tags and attributes then describe it as HTML Proprietary. If it includes the xml-lang or xmlns attributes but is otherwise HTML 2.0, 3.2 or 4.0 then describe it as one of the flavors of Voyager (strict, loose or frameset).

Version:
  $Revision: 502 $ ($Author: fgiust $)
Author:
  Dave Raggett dsr@w3.org , Andy Quick ac.quick@sympatico.ca (translation to Java), Fabrizio Giustina

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CM_BLOCK`
Content model: block.
`static final int`
`CM_DEFLIST`
Content model: definition list.
`static final int`
`CM_EMPTY`
Content model: empty.
`static final int`
`CM_FIELD`
Content model: field.
`static final int`
`CM_FRAMES`
Content model: frames.
`static final int`
`CM_HEAD`
Content model: head.
`static final int`
`CM_HEADING`
Content model: heading.
`static final int`
`CM_HTML`
Content model: html.
`static final int`
`CM_IMG`
Content model: img.
`static final int`
`CM_INLINE`
Content model: inline.
`static final int`
`CM_LIST`
Content model: list.
`static final int`
`CM_MIXED`
Content model: mixed.
`static final int`
`CM_NEW`
Content model: new.
`static final int`
`CM_NO_INDENT`
Content model: no indent.
`static final int`
`CM_OBJECT`
Content model: object.
`static final int`
`CM_OBSOLETE`
Content model: obsolete.
`static final int`
`CM_OMITST`
Content model: omitst.
`static final int`
`CM_OPT`
Content model: opt.
`static final int`
`CM_PARAM`
Content model: param.
`static final int`
`CM_ROW`
Content model: row.
`static final int`
`CM_ROWGRP`
Content model: rowgroup.
`static final int`
`CM_TABLE`
Content model: table.
`static final int`
`CM_UNKNOWN`
Content model: unknown.
`protected int`
`model`
model (CM_* constants).
`protected String`
`name`
Tag name.
`static final short`
`TAGTYPE_BLOCK`
types of tags that the user can define: block tag.
`static final short`
`TAGTYPE_EMPTY`
types of tags that the user can define: empty tag.
`static final short`
`TAGTYPE_INLINE`
types of tags that the user can define: inline tag.
`static final short`
`TAGTYPE_PRE`
types of tags that the user can define: pre tag.
`static final short`
`VERS_ALL`
tags/attrs in any version.
`static final short`
`VERS_BASIC`
Version: xhtml basic.
`static final short`
`VERS_EVENTS`
versions with on...
`static final short`
`VERS_FRAMESET`
Version: html 4.0 frameset.
`static final short`
`VERS_FROM32`
tags/attrs in all versions from HTML 3.2 onwards.
`static final short`
`VERS_HTML20`
Version: html 2.0.
`static final short`
`VERS_HTML32`
Version: html 3.2.
`static final short`
`VERS_HTML40`
tags/attrs in HTML4 but not in earlier version.
`static final short`
`VERS_HTML40_LOOSE`
Version: html 4.0 transitional.
`static final short`
`VERS_HTML40_STRICT`
Version: html 4.0 strict.
`static final short`
`VERS_IFRAME`
tags/attrs in HTML 4 loose and frameset.
`static final short`
`VERS_LOOSE`
tags/attrs which are in all versions of HTML except strict.
`static final short`
`VERS_MALFORMED`
Version: malformed.
`static final short`
`VERS_MICROSOFT`
Version: microsoft.
`static final short`
`VERS_NETSCAPE`
Version: netscape.
`static final short`
`VERS_PROPRIETARY`
all tags and attributes are ok in proprietary version of HTML.
`static final short`
`VERS_SUN`
Version: sun.
`static final short`
`VERS_UNKNOWN`
Version: unknown.
`static final short`
`VERS_XHTML11`
Version: xhtml 1.1.
`static final short`
`VERS_XML`
Version: xml.
`protected short`
`versions`
Version in which this tag is defined.

## Constructor Summary

Constructors
Constructor
Description
`Dict(String name, short versions, int model, Parser parser, TagCheck chkattrs)`
Instantiates a new Tag definition.

## Method Summary

Modifier and Type
Method
Description
`TagCheck`
`getChkattrs()`
Getter for `chkattrs`.
`int`
`getModel()`
Getter for `model`.
`String`
`getName()`
Getter for `name`.
`Parser`
`getParser()`
Getter for `parser`.
`short`
`getVersions()`
Getter for `versions`.
`void`
`setChkattrs(TagCheck chkattrs)`
Setter for `chkattrs`.
`void`
`setParser(Parser parser)`
Setter for `parser`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CM_UNKNOWN

public static final int CM_UNKNOWN
Content model: unknown.

See Also:
  - Constant Field Values

### CM_EMPTY

public static final int CM_EMPTY
Content model: empty.

See Also:
  - Constant Field Values

### CM_HTML

public static final int CM_HTML
Content model: html.

See Also:
  - Constant Field Values

### CM_HEAD

public static final int CM_HEAD
Content model: head.

See Also:
  - Constant Field Values

### CM_BLOCK

public static final int CM_BLOCK
Content model: block.

See Also:
  - Constant Field Values

### CM_INLINE

public static final int CM_INLINE
Content model: inline.

See Also:
  - Constant Field Values

### CM_LIST

public static final int CM_LIST
Content model: list.

See Also:
  - Constant Field Values

### CM_DEFLIST

public static final int CM_DEFLIST
Content model: definition list.

See Also:
  - Constant Field Values

### CM_TABLE

public static final int CM_TABLE
Content model: table.

See Also:
  - Constant Field Values

### CM_ROWGRP

public static final int CM_ROWGRP
Content model: rowgroup.

See Also:
  - Constant Field Values

### CM_ROW

public static final int CM_ROW
Content model: row.

See Also:
  - Constant Field Values

### CM_FIELD

public static final int CM_FIELD
Content model: field.

See Also:
  - Constant Field Values

### CM_OBJECT

public static final int CM_OBJECT
Content model: object.

See Also:
  - Constant Field Values

### CM_PARAM

public static final int CM_PARAM
Content model: param.

See Also:
  - Constant Field Values

### CM_FRAMES

public static final int CM_FRAMES
Content model: frames.

See Also:
  - Constant Field Values

### CM_HEADING

public static final int CM_HEADING
Content model: heading.

See Also:
  - Constant Field Values

### CM_OPT

public static final int CM_OPT
Content model: opt.

See Also:
  - Constant Field Values

### CM_IMG

public static final int CM_IMG
Content model: img.

See Also:
  - Constant Field Values

### CM_MIXED

public static final int CM_MIXED
Content model: mixed.

See Also:
  - Constant Field Values

### CM_NO_INDENT

public static final int CM_NO_INDENT
Content model: no indent.

See Also:
  - Constant Field Values

### CM_OBSOLETE

public static final int CM_OBSOLETE
Content model: obsolete.

See Also:
  - Constant Field Values

### CM_NEW

public static final int CM_NEW
Content model: new.

See Also:
  - Constant Field Values

### CM_OMITST

public static final int CM_OMITST
Content model: omitst.

See Also:
  - Constant Field Values

### VERS_UNKNOWN

public static final short VERS_UNKNOWN
Version: unknown.

See Also:
  - Constant Field Values

### VERS_HTML20

public static final short VERS_HTML20
Version: html 2.0.

See Also:
  - Constant Field Values

### VERS_HTML32

public static final short VERS_HTML32
Version: html 3.2.

See Also:
  - Constant Field Values

### VERS_HTML40_STRICT

public static final short VERS_HTML40_STRICT
Version: html 4.0 strict.

See Also:
  - Constant Field Values

### VERS_HTML40_LOOSE

public static final short VERS_HTML40_LOOSE
Version: html 4.0 transitional.

See Also:
  - Constant Field Values

### VERS_FRAMESET

public static final short VERS_FRAMESET
Version: html 4.0 frameset.

See Also:
  - Constant Field Values

### VERS_XML

public static final short VERS_XML
Version: xml.

See Also:
  - Constant Field Values

### VERS_NETSCAPE

public static final short VERS_NETSCAPE
Version: netscape.

See Also:
  - Constant Field Values

### VERS_MICROSOFT

public static final short VERS_MICROSOFT
Version: microsoft.

See Also:
  - Constant Field Values

### VERS_SUN

public static final short VERS_SUN
Version: sun.

See Also:
  - Constant Field Values

### VERS_MALFORMED

public static final short VERS_MALFORMED
Version: malformed.

See Also:
  - Constant Field Values

### VERS_XHTML11

public static final short VERS_XHTML11
Version: xhtml 1.1.

See Also:
  - Constant Field Values

### VERS_BASIC

public static final short VERS_BASIC
Version: xhtml basic.

See Also:
  - Constant Field Values

### VERS_PROPRIETARY

public static final short VERS_PROPRIETARY
all tags and attributes are ok in proprietary version of HTML.

See Also:
  - Constant Field Values

### VERS_HTML40

public static final short VERS_HTML40
tags/attrs in HTML4 but not in earlier version.

See Also:
  - Constant Field Values

### VERS_LOOSE

public static final short VERS_LOOSE
tags/attrs which are in all versions of HTML except strict.

See Also:
  - Constant Field Values

### VERS_IFRAME

public static final short VERS_IFRAME
tags/attrs in HTML 4 loose and frameset.

See Also:
  - Constant Field Values

### VERS_FROM32

public static final short VERS_FROM32
tags/attrs in all versions from HTML 3.2 onwards.

See Also:
  - Constant Field Values

### VERS_EVENTS

public static final short VERS_EVENTS
versions with on... attributes.

See Also:
  - Constant Field Values

### VERS_ALL

public static final short VERS_ALL
tags/attrs in any version.

See Also:
  - Constant Field Values

### TAGTYPE_EMPTY

public static final short TAGTYPE_EMPTY
types of tags that the user can define: empty tag.

See Also:
  - Constant Field Values

### TAGTYPE_INLINE

public static final short TAGTYPE_INLINE
types of tags that the user can define: inline tag.

See Also:
  - Constant Field Values

### TAGTYPE_BLOCK

public static final short TAGTYPE_BLOCK
types of tags that the user can define: block tag.

See Also:
  - Constant Field Values

### TAGTYPE_PRE

public static final short TAGTYPE_PRE
types of tags that the user can define: pre tag.

See Also:
  - Constant Field Values

### name

protected String name
Tag name.

### versions

protected short versions
Version in which this tag is defined.

### model

protected int model
model (CM_* constants).

## Constructor Details

### Dict

public Dict(String name, short versions, int model, Parser parser, TagCheck chkattrs)
Instantiates a new Tag definition.

Parameters:
  `name` - tag name
  `versions` - version in which this tag is defined
  `model` - model (CM_* constants)
  `parser` - parser for this tag
  `chkattrs` - validator for this tag (can be null)

## Method Details

### getChkattrs

public TagCheck getChkattrs()
Getter for `chkattrs`.

Returns:
  Returns the chkattrs.

### getModel

public int getModel()
Getter for `model`.

Returns:
  Returns the model.

### getName

public String getName()
Getter for `name`.

Returns:
  Returns the name.

### getParser

public Parser getParser()
Getter for `parser`.

Returns:
  Returns the parser.

### setChkattrs

public void setChkattrs(TagCheck chkattrs)
Setter for `chkattrs`.

Parameters:
  `chkattrs` - The chkattrs to set.

### getVersions

public short getVersions()
Getter for `versions`.

Returns:
  Returns the versions.

### setParser

public void setParser(Parser parser)
Setter for `parser`.

Parameters:
  `parser` - The parser to set.